Version 3.6.0 (2026-04-18)

- Add Linux service script.
- Add FreeBSD service script.
- Move default config to /usr/local/etc.
- Fix IniConfig::readFile for empty lines and multiline values.

Version 3.5.4 (2021-12-18)

- Fix FileHeader group intervals shift on high load.
- Make config file case-insensitive for sections and keys.
- Use camel style for tm.conf sample.
- Improve interface error diagnostics.
- Remove FlowIntervals configuration parameters.
- Remove Flow2Intervals configuration parameters.
- Remove StatIntervals configuration parameters.
- Set tmd default mode to console.
- Add --conf, --daemon options for tmd.

Version 3.5.3 (2021-10-28)

- Apply new code style for some classes.
- Remove possibility to attach independent packet writers to extractors.

Version 3.5.2 (2021-06-11)

- Use most popular microseconds resolution for pcap files.
- Use whole pulling from queues.
- Add possibility to attach independent packet writers to extractors.

Version 3.5.1 (2021-05-25)

- Fix for empty substrates.
- Fix Dag dropped packets counter.
- Fix Dag for truncated last records.
- Add SubstrateQueue class replacement for PacketQueue.

Version 3.5.0 (2021-05-20)

- Copy multiple raw records at once to fill the substrate.
- Apply new code style for some classes.

Version 3.4.5 (2021-05-09)

- Fix sweeper slowness.
- Rename tmfetchip utility to tmsql.

Version 3.4.4 (2021-05-05)

- Dedicate Metadata structure for packet meta-information.
- Apply new code style for some classes.
- Add recognizing of MAC addresses in hyphen, period and solid formats.
- Fix hash values duplication. The tmfetchip utility was affected by it.

Version 3.4.3 (2021-03-18)

- Use substrates for PacketQueue.

Version 3.4.2 (2021-02-23)

- Fix perfomance of tmstat, tmflow utilities.
- Increase perfomance of directory loader.

Version 3.4.1 (2021-02-13)

- Use buckets for PacketQueue.
- Rename 'blockchunks' configuration parameter to 'collectionchunks'.
- Fix Query file selection.
- Fix NameWriter for no records.

Version 3.4.0 (2021-02-08)

- Support file extensions by Directory and Query.
- Remove 'extusleep' configuration parameter.
- Remove 'packetusleep' configuration parameter.
- Remove 'packetcollectors' configuration parameter.
- Apply new code style for some utilities.
- Add tmpacket --packets option.
- Bufferize pcap file writing.

Version 3.3.20 (2021-01-27)

- Direct collect name data by extractor.
- Remove 'nameusleep' configuration parameter.

Version 3.3.19 (2021-01-18)

- Direct collect flow data by extractor.
- Fetch stat data from flow collections.
- Remove 'statusleep' configuration parameter.
- Rename 'flowusleep' configuration parameter to 'packetusleep'.
- Rename 'flowthreads' configuration parameter to 'flowwriters'.
- Rename 'statthreads' configuration parameter to 'statwriters'.
- Add 'packetcollectors' configuration parameter.

Version 3.3.18 (2021-01-12)

- Direct collect flow2 data by extractor.

Version 3.3.17 (2020-11-10)

- Make sweeping interval shorter.
- Split packet files by size threshold.
- Increase tmw accuracy.
- Keep packet files opened until writing is complete.

Version 3.3.16 (2020-10-25)

- Redesign tmw. Add human readable options. Measure physical layer bandwidth.
- Use multiple extractors for tmd.
- Use RingAllocator for packet blocks.
- Rename 'ringblocks' configuration parameter to 'extractorchunks'.
- Add 'blockchunks' configuration parameter.

Version 3.3.15 (2020-07-28)

- Fix query interval check.
- Use write() in PacketWriter.
- Check QNAME label length.
- Fix tmname for empty database.
- Apply new code style for some classes.

Version 3.3.14 (2020-05-25)

- Accept floating point values for utilities --min-traffic option.
- Remove the utilities --source option.
- Apply new code style for some classes.

Version 3.3.13 (2020-05-22)

- Use custom shared pointer for Packet.
- Use mmap based allocation for ring blocks.
- Add 'ringblocks' configuration parameter.
- Add Rlimits class to try to expand resource limits.

Version 3.3.12 (2020-05-16)

- Use vector as PacketCollection block.
- Write packets exact every PACKET_FACTOR seconds for fast release ring blocks.
- Set default interval duration to GROUP_FACTOR seconds for utilities.
- Simplify Processing class.
- Refactor some classes using C++17 features.

Version 3.3.11 (2020-05-11)

- Use block ring packet allocator.

Version 3.3.10 (2020-05-10)

- Apply new code style for some classes.
- C++17 is required now.
- Fix for partial ERF record

Version 3.3.9 (2020-02-20)

- Use variable length host names in the storage.

Version 3.3.8 (2020-02-19)

- Use multiple threads for statistics collector.
- Display counter differences in log file.
- Use async load for directories information.

Version 3.3.7 (2020-02-11)

- Fix checking for already ran.
- Fix non-save packet mode.

Version 3.3.6 (2020-02-10)

- The tmd can use multiple sources now.
- Fconfig parser replaced to IniConfig. The tm.conf file format changed.
- Set interface default mode to promiscuous. The -p option means non-promiscuous mode.
- Apply new code style for some classes.
- C++14 is required now.

Version 3.3.5 (2020-01-24)

- Keep directories information in memory.
- Do not debug FORMERR DNS packets.
- Apply new code style for some classes.
- Change TAR file compression format to XZ.

Version 3.3.4 (2015-07-03)

- Make internal optimizaton for tmdump
- Move reading file list procedures from directoryt to queryt class.

Version 3.3.3 (2015-06-25)

- Processing of ERSPAN encapsulated packets added. Supported ERSPAN version is Cisco NX-OS
  Nexus 3000 ERSPAN Type II. This version is different from IETF draft ERSPAN Type II.
- Bug fixed with queues of objects under FreeBSD.
- The recognition of 'promisc' and 'erspan' values of source configuration parameter added.
- The option '--promisc' removed from the tmd program.
- The option '--erspan' added to tmdump and tmw utilities.

Version 3.3.2 (2015-06-16)

- dag_advance_stream function used for Endace DAG cards to optimize dispatch routine. 
- The packett class had been optimized by using shared_ptr. 
- Queues of pointers transformed to queues of objects to increase perfomance.
- The sourcet class reorganized as task.
- The extractor task dedicated to extract and distribute information to collectors.

Version 3.3.1 (2015-06-01)

- Code adapted to libiclass-1.4.11.

Version 3.3.0 (2015-05-30)

- Traffic payload storage reorganized back to hash directory without indexes. It is practically
  most efficient than other storage organizations for packet retrieving. 
- The sweeper task dedicated to prevent blocking of monitor task when removing a lot of files.

Version 3.2.0 (2015-05-28)

- Traffic payload storage reorganized to indexed file set.
- The 'packetquota' configuration parameter added.
- The 'indexquota' configuration parameter removed.
- The 'ringquota' configuration parameter removed.

Version 3.1.0 (2015-05-27)

- Traffic payload storage reorganized to indexed disk ring.
- The 'indexquota' configuration parameter added.
- The 'ringquota' configuration parameter added.
- The 'packetquota' configuration parameter had been removed.
- The 'pcapusleep' configuration parameter renamed to 'extrusleep'.

Version 3.0.2 (2015-05-08)

- Bug fixed for empty or non-existent destination .pcap files with tmpacket in append mode.

Version 3.0.1 (2015-05-01)

- Processing of special IP value 'known' added to tmflow utility. 
- The 'mac' configuration parameter renamed to 'knownmacs'.
- The 'knownnetwork' configuration parameter renamed to 'knownnetworks'.

Version 3.0.0 (2015-04-29)

- Traffic payload storage added. The tmpacket utility retrieves packets of IP address to pcap
  format file.
- The 'packetquota' configuration parameter added.
- The 'groupinterval' configuration parameter had been removed.
- The 'savepackets' boolean configuration parameter added.

Version 2.4.6 (2014-11-16)

- Parallel processing of IP flow data had been applied. The new parameter 'flowthreads' determines
  how many parallel collectors will be started for IP flow data.

Version 2.4.5 (2014-09-07)

- Memory leakage bug fixed for namewriter.
- Installation instructions updated for Linux.

Version 2.4.4 (2014-05-08)

- The 'verbosity' configuration parameter added. Default value is 0. Increase it to get more logging.
- TPACKET_V3 used under Linux to increase efficiency of packet capturing.

Version 2.4.3 (2014-03-25)

- Name collecting algorithm changed. Now collector store popular DNS responces. Format of name
  database changed. Old version of tmflow cannot resolve IP addresses.
- The tmname utility added to work with name database.

Version 2.4.2 (2014-03-24)

- Single collector had been divided to 4 collectors running in separate threads. Therefore the list
  of configuration parameters changed. The 'flowusleep', 'statusleep', 'flow2usleep', 'nameusleep'
  parameters was appeared. The 'cuslduration' parameter had been removed. The 'puslduration' renamed
  to 'pcapusleep'.

Version 2.4.1 (2014-03-21)

- Hashed directory structure had been used for stat data. Old versions of tmstat utility cannot
  read data of new directory structure.

Version 2.4.0 (2014-03-19)

- Configuration adapted to automake-1.14 and autoconf-2.69. 
- C++11 features had been used in the project. This is the cause of incompatibility with old versions
  of compilers.
- Hashed directory structure had been used for flow data. Old versions of tmflow utility cannot
  read data of new directory structure.

Version 2.3.7 (2013-10-31)

- Name service now uses Berkeley DB v1.85 instead of MySQL. The service was embedded to tmd daemon.
  The tmnamed daemon had been removed from project.
- Resolve IP options removed from tmstat utility.
- The option --numeric-peer added to tmflow utility. The --resolve-ip, --dns-resolve-ip options has
  been removed. Now the utility resolves peer IP addresses by default.

Version 2.3.6 (2013-10-26)

- Code adapted to MacOSX v10.9
- The flow, stat, flow2 data had been indexed by time. Therefore version and format of fileheadert
  changed to be compliant with indexes.
- File change algorithm modified. Now the file contains fixed number of intervals. Therefore the list
  of configuration parameters changed. The 'flowintervals', 'statintervals', 'flow2intervals' parameters
  was appeared. The 'flowrotaterows', 'statrotaterows', 'flow2rotaterows' parameters had been removed. 
- The option --cnt added to tmfetchip utility.
- Binary search algorithm applied to stat searching engine for IP networks and IP sets.

Version 2.3.5 (2013-10-12)

- The flowwriter, statwriter, flow2writer had been optimized by using mmap() to write. Therefore
  version and format of fileheadert changed to be compliant with mmap() writers.
- List of configuration parameters changed. The 'flowrotatenrows', 'flow2rotatenrows', 'statrotatenrows'
  parameters renamed accordingly to 'flowrotaterows', 'flow2rotaterows', 'statrotaterows'.

Version 2.3.4 (2013-10-02)

- End of default interval changed to 'infinity'. It is actual for tmflow, tmstat, tmflow2 and
  tmstat2 utilities.
- The collections had been optimized to reduce locking time. Now there are two alternating
  containers inside the collection.
- Bug fixed with delay of writing on some low active network interfaces.

Version 2.3.3 (2013-09-23)
- The --sort option added to tmflow, tmstat, tmflow2, tmstat2 utilities.
- Processing of special IP value 'known' added to tmstat utility. 

Version 2.3.2 (2013-09-22)

- Bug fixed with negative packet statistics under FreeBSD and Mac OS X.
- The --no-hide option of tmflow, tmflow2, tmstat, tmstat2 utilities renamed to --show-all-ports.
- Option --min-traffic added to tmflow2, tmstat2 utilities.
- Option --hide-time added to tmflow, tmstat, tmflow2, tmstat2 utilities.
- Default interval changed to tmflow, tmstat, tmflow2, tmstat2 utilities. Now the last records
  interval is default. 
- Processing of special MAC value 'all' added to tmflow2, tmstat2 utilities. 

Version 2.3.1 (2013-09-11)

- Default optimization enabled.
- The INSTALL instruction modified
- PACKET_MMAP used under Linux to increase efficiency of packet capturing.
- Bug fixed under Mac OS X with BPF_TIMEVAL.
- Common 'groupinterval' parameter appeared instead of 'flowgroupinterval', 'statgroupinterval'
  and 'flow2groupinterval'.

Version 2.3 (2011-12-17)

- Support of Endace DAG cards added.
- Size of names_host reduced to 767 for compatibility with MySQL-5.5.8+.
- Bug fixed under Mac OS X with BIOCSRTIMEOUT.
- The lltype field removed from pkinfot structure.
- The tmfetchip execution condition bug fixed.
- The tmlog utility renamed to tmflow, the tmlog2 utility renamed to tmflow2.
- The 'log' storage directory renamed to 'flow', the 'mac' storage directory renamed to 'flow2'.
- The logreportt class renamed to flowreportt, the log2reportt class renamed to flow2reportt.
- The logfetcht class renamed to flowfetcht, the log2fetcht class renamed to flow2fetcht.
- The logqueryt class renamed to flowqueryt, the log2queryt class renamed to flow2queryt.
- The logmapt class renamed to flowmapt, the log2mapt class renamed to flow2mapt.
- The logsearcht class renamed to flowsearcht, the log2searcht class renamed to flow2searcht.
- The logrecordt class renamed to flowrecordt, the macrecordt class renamed to flow2recordt.
- The logcollectiont class renamed to flowcollectiont, the maccollectiont class renamed to
  flow2collectiont.
- The logwritert class renamed to flowwritert, the macwritert class renamed to flow2writert.
- List of configuration parameters changed. The 'source' mandatory parameter added. The 'logdirsize',
  'macdirsize', 'statdirsize' parameters renamed accordingly to 'flowquota', 'flow2quota', 'statquota'.
  Their units changed to gibibytes. The 'loggroupinterval', 'logrotatenrows', 'macgroupinterval',
  'macrotatenrows' parameters renamed accordingly to 'flowgroupinterval', 'flowrotatenrows',
  'flow2groupinterval', 'flow2rotatenrows'.
- Bug fixed with short current query interval of tmstat, tmflow2, tmstat2 utilities.
- Now tmflow2 and tmstat2 utilities can work with MAC sets.
- Search engine by IP address added to accelerate flow requests.
- Options --day-time, --month-time, --gbytes added to tmflow utility.
- Options --unicast, --broadcast added to tmflow2, tmstat2 utilities. Option --exact removed from
  these utilities.
- Option --show-hosts added to tmstat, tmstat2 utilities.
- Default values defined (or redefined) for --start, --end options of tmflow, tmflow2, tmstat, tmstat2
  utilities. The default value of --start option is the beginning of the current hour. The default
  value of --end option is the beginning of the next hour.
- Syntax of tmd, tmnamed daemons changed. The mandatory argument 'interface' has become unnecessary.
  Daemons use 'source' configuration parameters to listen traffic on specific interfaces or DAG
  sources.
- Syntax of tmflow, tmstat utilities changed. The mandatory argument 'interface' has become optional.
  Now the utility get information of all sources. Use --source option to specify interface or DAG
  source. Option --ip removed. Use mandatory argument 'IP' instead. Multiple 'IP' arguments composes
  IP set. 
- Syntax of tmflow2, tmstat2 utilities changed. The mandatory argument 'interface' has become optional.
  Now the utility get information of all sources. Use --source option to specify interface or DAG
  source. Option --mac removed. Use argument 'MAC' instead. Multiple 'MAC' arguments composes MAC set. 
- Syntax of tmfetchip utility changed. The mandatory argument 'interface' has become unnecessary.
- The monitort class formed to logging sources, queues, collection statuses and to control disk quotas.
  The sweepert class removed.

Version 2.2.3 (2011-01-13)

- Code had been conformed to libiclass-1.4.6. 
- The logqueryt class handles queries with inversion flag.
- The logresultt class renamed to logfetcht.
- The logfetcht class can use 2 type of search engines: by IP network or by IP set.
- The namewriter class uses iclass::iplookup4t network container to detect exclusions.
- Time cache applied to extract methods of searching engines. It uses to group time by days or by
  months.
- The statqueryt class handles queries with inversion flag.
- The statresultt class renamed to statfetcht.
- The statfetcht class can use 3 type of search engines: by IP address, by IP network or by IP set.
- The log2resultt class renamed to log2fetcht.
- The stat2resultt class renamed to stat2fetcht.
- The fetchert class renamed to pgwrapt.
- The tmfetchip utility uses search engine by network container now.
- The --sql option added to the tmfetchip utility. With this option you can see generated SQL queries
  for debug purposes.

Version 2.2.2 (2010-03-23)

- Code had been conformed to libiclass-1.4.5. 
- The iclass::ipset4t applied instead of vector<ipnet4t>. The new class use binary search method to
  test subnet containing.

Version 2.2.1 (2010-03-01)

- The tmfetchip delete statement bug fixed.
- DNS reverse lookup bug fixed for MacOSX.
- The --dns-resolve-ip option added to the tmlog and tmstat utilities. The utilities with this option
  uses DNS reverse lookups to resolve IP addresses.
- The tmfetchip utility prints starting time to standard output now.

Version 2.2 (2010-02-19)

- The tmlog2 utility options changed. The --min-traffic option had been removed.
- The tmstat2 utility options changed. The --min-traffic option had been removed.
- The row view changed for tmlog. Now level3 traffic log report rows have 'Host' and 'Peer' columns
  instead of 'Source' and 'Destination'. The 'Host' is the column of requested hosts. Accordingly 
  the row have 'Incoming' and 'Outgoing' parts of values for requested hosts. These changes made for
  more readability.
- The row view changed for tmlog2. Now level2 traffic log report rows have 'Host' and 'Peer' columns
  instead of 'Source' and 'Destination'. The 'Host' is the column of requested hosts. Accordingly
  the row have 'Incoming' and 'Outgoing' parts of values for requested hosts. These changes made for
  more readability.
- The tmnamed (TrafficMeter Name services Daemon) added. The daemon catch all A and MX DNS responses and
  saves in the database. The MySQL database required for compiling and linking the daemon. We recommends
  to install tmnamed service in other server because CPU resource spend up high. Now tmlog and tmstat
  utilities can use data from tmnamed for resolving IP-addresses. If tmnamed service is unavailable the
  utilities use DNS reverse lookups as previous version. Using tmnamed data can dramatically increase
  perfomance of resolved traffic report generation. 
- Distribution file format changed to bzip2. 
- Starting priority increased for collector and packet catcher tasks.
- The tmfetchip default date choice algorithm changed. Now the tmfetchip takes today when local time hour
  more than 0 or yesterday otherwise.
- The 'tuslduration' configuration parameter renamed to 'puslduration'.
- The fconfig internal architecture changed. Now std::map uses.
- Code adaptation to compile with gcc-4.4.

Version 2.1 (2010-01-01)

- Update license to GPLv3+.
- The --hour-time option added to tmstat, tmlog2, tmstat2 utilities.
- convert113.sh script removed.

Version 2.0 (2009-12-27)

- The trafficmeter has not used MySQL database now. It is for more acceleration.
- statcollection internal architecture changed. Now it use only std::map. It is for writing acceleration
  with sorted records.
- The 'suslduration', 'shashsize', 'logsaveinterval', 'logsavenrows', 'statsaveinterval', 'statsavenrows',
  'dbname', 'dbuser', 'dbpasswd', 'dbhost', 'dbport', 'auslduration' configuration parameters are
  deprecated.
- The 'lrotatenrows' configuration parameter renamed to 'logrotatenrows', 'srotatenrows' renamed to 
  'statrotatenrows'.
- The 'logdirsize', 'statdirsize' and 'macdirsize' configuration parameters added. They used by sweeper
  task.
- VlanID saves into log and statistics records now.
- The tmlog utility options changed. The --vlan, --show-vlans options added to display traffic according
  VlanID. The --hide-time, --hide-proto, --hide-sport, --hide-dport, --hide-src-ip, --hide-dst-ip,
  --unknown are removed. Use option --ip=unknown instead of --unknown now.
- The tmstat utility options changed. The --vlan, --show-vlans options added to display statistics
  according VlanID. The --hide-time and --hide-ip options are removed.
- The accountant task removed.
- Level 2 traffic information saves. The macwriter tackles this goal.
- The tmlog2 utility added for printing level 2 traffic log.
- The tmstat2 utility added for printing level 2 traffic statistics.

Version 1.3 (2009-04-26)

- logcollection internal architecture changed. Now uses only std::map. It is for database writing
  acceleration with sorted records.
- Now tmdump accept multiple searching patterns and their logycal inversions. 
- Daemon debug mode removed. Earlier this mode used to display header of non-ethernet and non IPv4
  packets on console. Now you can use tmdump utility for this purpose. 
- Traffic log records writes to a file not to MySQL database now. It is for more acceleration.
- The 'loginterval' configuration parameter renamed to 'loggroupinterval', 'statinterval' renamed to
  'statgroupinterval'.
- The tmstat utility may group time by days and months now.
- 802.1Q tags recognition added. Now the daemon can extract IP-level data from tagged traffic.

Version 1.2 (2009-04-08)

- The code had been conformed to libiclass-1.4. 
- Traffic blocking on exhaust balance is abolished.
- Now all traffic statistics collects by daemon. The 'statnetwork' configuration parameter is deprecated.
  The tmlog utility uses knownnetwork parameter to get information of unknown networks. The 'I', 'O',
  'B', 'U', 'S' statistics types not saves.
- Use -u option to get log of unknown networks with tmlog utility. The -y option removed. 
- Statistics by IP-address modified in tmstat utility. Now incoming and outgoing traffic writes in one row.
- Time field added to tmdump output.
- Support of PPP interfaces by tmd ceased. Now only Ethernet links supported.
- The 'logstatcount' configuration parameter renamed to 'pushcountoff'.

Version 1.1.3.9 (2008-06-25)

- tmfetchip algorithm changed.

Version 1.1.3.8 (2008-06-18)

- Now 'logsavenrows' and 'statsavenrows' parameters can be more than 2147M on 32-bit systems. It is for
  using more hard disk space. 

Version 1.1.3.7 (2008-06-16)

- tmfetchip PostgreSQL query changed. 

Version 1.1.3.6 (2008-05-14)

- Now logrotatort and statrotatort are commont inheritors.
- Exception handling implemented in tmlog/tmstat utilities for incorrect IP address or network.

Version 1.1.3.5 (2008-05-02)

- Configuration simplificated. Now configure script try to find mysql library directory and add it to LDFLAGS.
- Code cleaned to prevent potential deadlocks in commont constant methods.
- log/stat writers modified. Now writers will try to update row when insert error occured. It is actual for
  changing system clock to backward by ntp drift.

Version 1.1.3.4 (2008-02-25)

- Accountant deadlock bug fixed. The bug was concerned with long timeout for writing. 

Version 1.1.3.3 (2008-02-17)

- Some classes renamed to gain a better understanding

Version 1.1.3.2 (2008-02-01)

- Log collecting algorithm changed to prevent potential deadlocks

Version 1.1.3.1 (2008-01-12)

- convert113.sh script added for convert existing tables to version 1.1.3 format. Script written by
  Ivan Keberlein

Version 1.1.3 (2008-01-07)

- tmlog and tmstat time interval bug fixed
- logrows summary information added for IP statistics
- tm.conf common configuration file used for daemon and clients
- stat networks registers from tm.conf now
- tmlog can show traffic of unregistered networks using type 'U' 

Version 1.1.2.4 (2007-05-22)

- Writing to database algorith optimized.

Version 1.1.2.3 (2007-01-03)

- Tables dropping algorithm changed. Now saveinterval OR (not AND) savenrows exceeding cause table drop.
  And traffic information of each interface had been safe on same time interval. It is independent of
  traffic intencity on interface.

Version 1.1.2.2 (2006-12-01)

- Tables droppping bug fixed.

Version 1.1.2.1 (2006-11-08)

- tmd help message changed. Now signal names using recommended for interact with tmd.

Version 1.1.2 (2006-10-03)

- tmfetchip store order changed. Now incoming and outgoing components stores separately for each IP-address.

Version 1.1.1 (2006-06-26)

- SLL packet types processing added to tmd, tmstat, tmfetchip

Version 1.1 (2006-06-22)

- utilities syntax systematized
- tmfetchip data removing bug fixed
- tmstat can show traffic in gigabytes

Version 1.1pre4 (2006-06-03)

- tmw utility added
- Packet capturing statistics algorithm changed. Now statistics collects between log records.

Version 1.1pre3 (2006-05-19)

- Compiling without libpq bug fixed
- Old tmlog tables removing bug fixed.
- Parameter 'logmintotalnrows' renamed to 'logsavenrows'.
- Parameter 'statmintotalnrows' renamed to 'statsavenrows'.

Version 1.1pre2 (2006-03-06)

- tmfetchip converter added
- tmfetchipac converter removed

Version 1.1pre1 (2006-01-18)

- tmstat utility added
- tmfetchipac converter added

Version 1.1pre0 (2006-01-16)

- Multiple instance possibilities added. Now you can collect trafic from multiple interfaces simultaneously.
- Format of tables tmlogstbl and tmstatstbl changed. Columns tmlogs_interface and tmstats_interface added
  accordingly.

Version 1.0 (2004-11-25)

- Initial release.

